package com.example.demo.method.controller;

import com.example.demo.method.service.MethodService;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@CrossOrigin
public class MethodController {
    private final MethodService methodService;

    public MethodController(MethodService methodService) {
        this.methodService = methodService;
    }

    @GetMapping("/summa")
    public String qw(@RequestParam(value = "first", defaultValue = "1") Object first,
                      @RequestParam(value = "second", defaultValue = "1") Object second,
                      @RequestParam(value = "type", defaultValue = "int") String type) {
        return methodService.Sum(first,second,type);
    }

    @GetMapping("/min")
    public String Ras(@RequestParam(value = "first", defaultValue = "1") Object first,
                      @RequestParam(value = "second", defaultValue = "1") Object second,
                      @RequestParam(value = "type", defaultValue = "int") String type) {
        return methodService.Min(first,second,type);
    }

    @GetMapping("/multi")
    public String Pros(@RequestParam(value = "first", defaultValue = "1") Object first,
                       @RequestParam(value = "second", defaultValue = "1") Object second,
                       @RequestParam(value = "type", defaultValue = "int") String type) {
        return methodService.Mult(first,second,type);
    }

    @GetMapping("/div")
    public String Del(@RequestParam(value = "first", defaultValue = "1") Object first,
                      @RequestParam(value = "second", defaultValue = "1") Object second,
                      @RequestParam(value = "type", defaultValue = "int") String type) {
        return methodService.Div(first,second,type);
    }
}
