package com.example.demo.speaker.configuration;

import com.example.demo.speaker.domain.Speaker;
import com.example.demo.speaker.domain.SpeakerEng;
import com.example.demo.speaker.domain.SpeakerRus;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class SpeakerConfiguration {

    @Bean(value = "ru")
    public SpeakerRus createRusSpeaker(){
        return new SpeakerRus();
    }

    @Bean(value = "en")
    public Speaker createEngSpeaker(){
        return new SpeakerEng();
    }
}
